<?xml version="1.0" encoding="utf-8"?>

<collectorhub>
  <name>BBoxCollector</name>
  <product>phone</product>
  <platform>mtk</platform>
  <checkPoints>/data/log/reliability/faultdetect/history.log</checkPoints>
  <dynamicPaths>$SUB_LOG_DIR/ZZ_INTERNAL,$SUB_LOG_DIR/SYS_LAST_CPU_BUS,$SUB_LOG_DIR/SYS_REBOOT_REASON,$SUB_LOG_DIR/SYS_ATF_LAST,$SUB_LOG_DIR/last_kmsg,$SUB_LOG_DIR/exp_pl_lk</dynamicPaths>
  <dynamicPathsBeta>None</dynamicPathsBeta>
  <dynamicPathsCommercial>None</dynamicPathsCommercial>
  <collectors>
    <collector>
      <name>PanicCollector</name>
      <eventID>901000002</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>PANIC,KE,rescueparty,failed</matchKeys>
      <intTimeType>0300</intTimeType>
    </collector>
    <collector>
      <name>HardwareWatchdogCollector</name>
      <eventID>901000003</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>HWWATCHDOG,HWT,HW_reboot</matchKeys>
      <intTimeType>0400</intTimeType>
    </collector>
    <collector>
      <name>UnknownFaultCollector</name>
      <eventID>901000004</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>UNKNOWN,UNDEF</matchKeys>
      <intTimeType>0500</intTimeType>
    </collector>
    <collector>
      <name>HardwareFaultCollector</name>
      <eventID>901000005</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>HARDWARE_FAULT,OCP_reboot,2sec_reboot</matchKeys>
      <intTimeType>0600</intTimeType>
    </collector>
    <collector>
      <name>LongPressCollector</name>
      <eventID>901000010</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>reboot_longkey</matchKeys>
    </collector>
    <collector>
      <name>ModemCrashCollector</name>
      <eventID>901002000</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>MODEMCRASH,modemcrash</matchKeys>
      <intTimeType>0A00</intTimeType>
    </collector>
    <collector>
      <name>SensorhubCrashCollector</name>
      <eventID>901002002</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>SENSORHUBCRASH,sensorhub</matchKeys>
      <intTimeType>0C00</intTimeType>
    </collector>
    <collector>
      <name>WcnssCrashCollector</name>
      <eventID>901002005</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>CONNEXCEPTION,wcnss,adsp</matchKeys>
      <intTimeType>0H00</intTimeType>
    </collector>
    <collector>
      <name>DssCrashCollector</name>
      <eventID>901002009</eventID>
      <dynamicPaths>None</dynamicPaths>
      <matchKeys>DSSCRASH</matchKeys>
      <intTimeType>0J00</intTimeType>
    </collector>
  </collectors>
</collectorhub>
